## org.hibernate.bytecode.cglib
Class BytecodeProviderImpl

    java.lang.Object
      org.hibernate.bytecode.cglib.BytecodeProviderImpl

All Implemented Interfaces:
  BytecodeProvider

Deprecated. Per HHH-5451 support for cglib as a bytecode provider has been deprecated.

    @Deprecated
    public class BytecodeProviderImpl

extends Object
implements BytecodeProvider

Bytecode provider implementation for CGLIB.

Author:
  Steve Ebersole

Constructor Summary
`BytecodeProviderImpl()` Deprecated.

Method Summary
`ProxyFactoryFactory` `getProxyFactoryFactory()` Deprecated. Retrieve the specific factory for this provider capable of generating run-time proxies for lazy-loading purposes.
`ReflectionOptimizer` `getReflectionOptimizer(Class clazz, String[] getterNames, String[] setterNames, Class[] types)` Deprecated. Retrieve the ReflectionOptimizer delegate for this provider capable of generating reflection optimization components.
`ClassTransformer` `getTransformer(ClassFilter classFilter, FieldFilter fieldFilter)` Deprecated. Generate a ClassTransformer capable of performing bytecode manipulation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BytecodeProviderImpl

    public BytecodeProviderImpl()

  Deprecated.

Method Detail

### getProxyFactoryFactory

    public ProxyFactoryFactory getProxyFactoryFactory()

  Deprecated.
  Description copied from interface: `BytecodeProvider`
  Retrieve the specific factory for this provider capable of generating run-time proxies for lazy-loading purposes.

  Specified by:
    `getProxyFactoryFactory` in interface `BytecodeProvider`
  Returns:
    The provider specific factory.

### getReflectionOptimizer

    public ReflectionOptimizer getReflectionOptimizer(Class clazz,
                                                      String[] getterNames,
                                                      String[] setterNames,
                                                      Class[] types)

  Deprecated.
  Description copied from interface: `BytecodeProvider`
  Retrieve the ReflectionOptimizer delegate for this provider capable of generating reflection optimization components.

  Specified by:
    `getReflectionOptimizer` in interface `BytecodeProvider`
  Parameters:
    `clazz` - The class to be reflected upon.
    `getterNames` - Names of all property getters to be accessed via reflection.
    `setterNames` - Names of all property setters to be accessed via reflection.
    `types` - The types of all properties to be accessed.
  Returns:
    The reflection optimization delegate.

### getTransformer

    public ClassTransformer getTransformer(ClassFilter classFilter,
                                           FieldFilter fieldFilter)

  Deprecated.
  Description copied from interface: `BytecodeProvider`
  Generate a ClassTransformer capable of performing bytecode manipulation.

  Specified by:
    `getTransformer` in interface `BytecodeProvider`
  Parameters:
    `classFilter` - filter used to limit which classes are to be instrumented via this ClassTransformer.
    `fieldFilter` - filter used to limit which fields are to be instrumented via this ClassTransformer.
  Returns:
    The appropriate ClassTransformer.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.